commit:     babc38ca5adb0a2c142631bc42297b291e9916f1
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 30 19:36:17 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Aug 30 19:36:17 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=babc38ca

net-p2p/qbittorrent: add 4.4.5

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-p2p/qbittorrent/Manifest                 |   1 +
 net-p2p/qbittorrent/qbittorrent-4.4.5.ebuild | 108 +++++++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/net-p2p/qbittorrent/Manifest b/net-p2p/qbittorrent/Manifest
index 410142c615b4..d80dea94b35b 100644
--- a/net-p2p/qbittorrent/Manifest
+++ b/net-p2p/qbittorrent/Manifest
@@ -1,3 +1,4 @@
 DIST qbittorrent-4.3.9.tar.gz 8510414 BLAKE2B 
de98aff6d81f43c3ad87f6c5f800a4488e18173fb96713d0a2420cf4d4708c9b1f2f54c8d0aa566e7738b4f94d192aad9f0196a05d43724582ef81833901727f
 SHA512 
ec33f67895fbf47acc2f79d9c9e16db8b96c756cf493b76eb24b90e13a790a709104ea9aa378ee111d8c38b605bed5192b366d1917bbf160b21aa2ae3aacd2d1
 DIST qbittorrent-4.4.3.1.tar.gz 7736308 BLAKE2B 
9177f0c629418a5f9e7f117b7d1f990181ef910193fed9763f2137cbc91c9de07ad96884d57e96782b5a2f6089fe73d3fab0a2f2f54f72dd8c2cec00dd179e5f
 SHA512 
e3d63c4090e27387f4a5524d0daab26eab70f70ef81ad607e9661e128ccccbf33f2d240cd219bbb1fb138d6e78493ce73055d5128bf888e0ad3949922774efba
 DIST qbittorrent-4.4.4.tar.gz 7738480 BLAKE2B 
2a3157a732fda6eaff809d3ea717ebcc2cb7f4364cc3209bd1836196541e83cf8c7430b32037a6a6c4f517d17edb576dd80c834185d7cb764567bd5ce699bd52
 SHA512 
3bd26021f45287ff5b6c9a1629ff470204121c4056d452a5c00bc94b69a198093127916d33797b357eaacdb9ffd01d0de13daecb7503088cde440d5e4895ec3e
+DIST qbittorrent-4.4.5.tar.gz 7739170 BLAKE2B 
b40a3ca63c787e0b9b9aac00a6fef452b461ba36b1ef030bc3cdd5fbefcca42d58ff6c3bd382e49f7937161afc6a37bc2c29de4f804db10c7031b9f1ad5f4e2b
 SHA512 
a2b6ecd9a6f087a7ecaad2774d395ee4b2164cb8540b9f32574640f485fa3fc8688046d30e0179863a0aff1524d69b83c00bc232c7feb9ad737c79a05734ad95

diff --git a/net-p2p/qbittorrent/qbittorrent-4.4.5.ebuild 
b/net-p2p/qbittorrent/qbittorrent-4.4.5.ebuild
new file mode 100644
index 000000000000..15b1ff95a991
--- /dev/null
+++ b/net-p2p/qbittorrent/qbittorrent-4.4.5.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake multibuild systemd xdg
+
+DESCRIPTION="BitTorrent client in C++ and Qt"
+HOMEPAGE="https://www.qbittorrent.org";
+
+if [[ ${PV} == *9999 ]]; then
+       EGIT_REPO_URI="https://github.com/qbittorrent/qBittorrent.git";
+       inherit git-r3
+else
+       
SRC_URI="https://github.com/qbittorrent/qBittorrent/archive/release-${PV}.tar.gz
 -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+       S="${WORKDIR}"/qBittorrent-release-${PV}
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+dbus +gui webui"
+REQUIRED_USE="dbus? ( gui )
+       || ( gui webui )"
+
+RDEPEND="
+       >=dev-libs/boost-1.65.0-r1:=
+       >=dev-libs/openssl-1.1.1:=
+       dev-qt/qtcore:5
+       dev-qt/qtnetwork:5[ssl]
+       dev-qt/qtsql:5
+       dev-qt/qtxml:5
+       >=net-libs/libtorrent-rasterbar-1.2.14:=
+       >=sys-libs/zlib-1.2.11
+       dbus? ( dev-qt/qtdbus:5 )
+       gui? (
+               dev-libs/geoip
+               dev-qt/qtgui:5
+               dev-qt/qtsvg:5
+               dev-qt/qtwidgets:5
+       )"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-qt/linguist-tools:5
+       virtual/pkgconfig"
+
+DOCS=( AUTHORS Changelog CONTRIBUTING.md README.md TODO )
+
+src_prepare() {
+       MULTIBUILD_VARIANTS=( base )
+       use webui && MULTIBUILD_VARIANTS+=( webui )
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       multibuild_src_configure() {
+               local mycmakeargs=(
+                       -DDBUS=$(usex dbus)
+
+                       # musl lacks execinfo.h
+                       -DSTACKTRACE=$(usex !elibc_musl)
+
+                       # We always want to install unit files
+                       -DSYSTEMD=ON
+                       
-DSYSTEMD_SERVICES_INSTALL_DIR=$(systemd_get_systemunitdir)
+
+                       # More verbose build logs are preferable for bug reports
+                       -DVERBOSE_CONFIGURE=ON
+
+                       # Not yet in ::gentoo
+                       -DQT6=OFF
+
+                       # We do these in multibuild, see bug #839531 for why.
+                       # Fedora has to do the same thing.
+                       -DGUI=$(usex gui)
+               )
+
+               if [[ ${MULTIBUILD_VARIANT} == webui ]] ; then
+                       mycmakeargs+=(
+                               # Need to specify GUI here to allow webui 
settings
+                               # to appear in the GUI. bug #864731.
+                               -DGUI=$(usex gui)
+                               -DWEBUI=ON
+                       )
+               else
+                       mycmakeargs+=( -DWEBUI=OFF )
+               fi
+
+               cmake_src_configure
+       }
+
+       multibuild_foreach_variant multibuild_src_configure
+}
+
+src_compile() {
+       multibuild_foreach_variant cmake_src_compile
+}
+
+src_install() {
+       multibuild_foreach_variant cmake_src_install
+
+       if ! use webui ; then
+               # No || die deliberately as it doesn't always exist
+               rm "${D}/$(systemd_get_systemunitdir)"/qbittorrent-nox*.service
+       fi
+
+       einstalldocs
+}

Reply via email to